Cyberduck Mountain Duck CLI

#6388 closed defect (fixed)

4.2 version broke SFTP connections

Reported by: Luca Bassini Owned by: dkocher
Priority: normal Milestone: 4.2
Component: sftp Version: Nightly Build
Severity: blocker Keywords:
Cc: Architecture:
Platform: Mac OS X 10.7

Description

With version 4.2 it's not possible to connect to SFTP anymore. I just tested and verified it by launching the official 4.1.3 and with this version is possible to connect

Attachments (1)

test_keys.zip (4.1 KB) - added by mikk on Nov 26, 2011 at 2:55:51 PM.

Download all attachments as: .zip

Change History (12)

comment:1 Changed on Nov 25, 2011 at 10:43:59 AM by dkocher

  • Component changed from core to sftp
  • Owner set to dkocher

What is the error message you get?

comment:2 Changed on Nov 25, 2011 at 11:05:40 AM by dkocher

And can you find any related output in the system.log (/Applications/Utilities/Console.app)?

comment:3 follow-up: Changed on Nov 26, 2011 at 2:09:08 PM by mikk

For me sftp is working. Tested on 9320, Windows. Login is success with password. Login is success with public key, if key size 1024 or 2048. If key size is 4096, login is unsuccess, and no any error messages. With FileZilla, 1024, 2048 and 4096 key size login is works.

comment:4 in reply to: ↑ 3 Changed on Nov 26, 2011 at 2:26:28 PM by dkocher

Replying to mikk:

For me sftp is working. Tested on 9320, Windows. Login is success with password. Login is success with public key, if key size 1024 or 2048. If key size is 4096, login is unsuccess, and no any error messages. With FileZilla, 1024, 2048 and 4096 key size login is works.

I just tested with a 4096 bit key with no issues.

comment:5 Changed on Nov 26, 2011 at 2:26:42 PM by dkocher

  • Resolution set to worksforme
  • Status changed from new to closed

Changed on Nov 26, 2011 at 2:55:51 PM by mikk

comment:6 follow-up: Changed on Nov 26, 2011 at 2:56:56 PM by mikk

See attached files, only 1024 and 2048 bit keys works for me, with CD 9320.

comment:7 in reply to: ↑ 6 ; follow-up: Changed on Nov 26, 2011 at 3:30:23 PM by dkocher

Replying to mikk:

See attached files, only 1024 and 2048 bit keys works for me, with CD 9320.

I see. I tested with OpenSSH private keys. These are PuTTY keys. This is definitely a different issue than what the original reporter had on OS X where (if at all) he most possibly used OpenSSH keys.

comment:8 in reply to: ↑ 7 ; follow-up: Changed on Nov 26, 2011 at 4:02:56 PM by mikk

Replying to dkocher:

Replying to mikk:

See attached files, only 1024 and 2048 bit keys works for me, with CD 9320.

I see. I tested with OpenSSH private keys. These are PuTTY keys. This is definitely a different issue than what the original reporter had on OS X where (if at all) he most possibly used OpenSSH keys.

...or he used simple password. If u want, I create new ticket "PuTTY 4096 bit key not working". :)

Last edited on Nov 26, 2011 at 4:04:21 PM by mikk (previous) (diff)

comment:9 in reply to: ↑ 8 Changed on Nov 26, 2011 at 4:06:31 PM by dkocher

Replying to mikk:

Replying to dkocher:

Replying to mikk:

See attached files, only 1024 and 2048 bit keys works for me, with CD 9320.

I see. I tested with OpenSSH private keys. These are PuTTY keys. This is definitely a different issue than what the original reporter had on OS X where (if at all) he most possibly used OpenSSH keys.

...or he used simple password. If u want, I create new ticket "PuTTY 4096 bit key not working". :)

Yes, please create a new ticket for this issue.

comment:10 Changed on Nov 28, 2011 at 10:10:23 AM by dkocher

  • Resolution worksforme deleted
  • Status changed from closed to reopened

I can replicate the issue now. If there is a default SSH key found in the .ssh directory and the private key is password protected, we will always prompt for the password even if previously logged in successfully using password authentication.

comment:11 Changed on Nov 28, 2011 at 10:14:24 AM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

Disabled login with default keys in r9324.

Note: See TracTickets for help on using tickets.
swiss made software